Vulnerability   
Search   
    Search 191973 CVE descriptions
and 86218 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

CVE ID:CVE-2012-6085
Description:The read_block function in g10/import.c in GnuPG 1.4.x before 1.4.13 and 2.0.x through 2.0.19, when importing a key, allows remote attackers to corrupt the public keyring database or cause a denial of service (application crash) via a crafted length field of an OpenPGP packet.
Test IDs: 1.3.6.1.4.1.25623.1.0.865141   1.3.6.1.4.1.25623.1.0.841270   1.3.6.1.4.1.25623.1.0.865203   1.3.6.1.4.1.25623.1.0.865173   1.3.6.1.4.1.25623.1.0.865103   1.3.6.1.4.1.25623.1.0.864997   1.3.6.1.4.1.25623.1.0.831761   1.3.6.1.4.1.25623.1.0.865022   1.3.6.1.4.1.25623.1.0.123542   1.3.6.1.4.1.25623.1.0.123541   1.3.6.1.4.1.25623.1.0.105556   1.3.6.1.4.1.25623.1.0.702601  
Cross References: Common Vulnerability Exposure (CVE) ID: CVE-2012-6085
BugTraq ID: 57102
http://www.securityfocus.com/bid/57102
http://lists.fedoraproject.org/pipermail/package-announce/2013-January/095513.html
http://lists.fedoraproject.org/pipermail/package-announce/2013-January/095516.html
http://www.mandriva.com/security/advisories?name=MDVSA-2013:001
https://bugzilla.redhat.com/show_bug.cgi?id=891142
http://www.openwall.com/lists/oss-security/2013/01/01/6
RedHat Security Advisories: RHSA-2013:1459
http://rhn.redhat.com/errata/RHSA-2013-1459.html
http://www.ubuntu.com/usn/USN-1682-1
XForce ISS Database: gnupg-public-keys-code-exec(80990)
https://exchange.xforce.ibmcloud.com/vulnerabilities/80990




© 1998-2021 E-Soft Inc. All rights reserved.